package com.example.jdbcdemo.jdbctemplate;

import com.example.jdbcdemo.domain.Users;
import org.springframework.jdbc.core.RowMapper;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * @project_name:jdbc_demo
 * @Description:实现RowMapper接口 ，返回users对象
 * @author:felix.zhou
 * @date:2018-12-10 14:38
 */
public class MyRowMapper implements RowMapper<Users> {

    @Override
    public Users mapRow(ResultSet rs, int rowNum) throws SQLException {
        //此处getInt()内要使用数据表中的字段，不能使用User类里的属性
        int user_id=rs.getInt("user_id");
        int user_age=rs.getInt("user_age");
        String user_name=rs.getString("user_name");
        Users users=new Users();
        users.setUser_id(user_id);
        users.setUser_age(user_age);
        users.setUser_name(user_name);
        return users;
    }
}
